Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# PartBundleNode Class Reference

This is a node that contains a pointer to an PartBundle. More...

Inheritance diagram for PartBundleNode:

List of all members.

## Public Member Functions
| PartBundleNode (string name, PartBundle bundle)
| The PartBundle and its node should be constructed together.
PartBundle | getBundle (int n)
PartBundleHandle | getBundleHandle (int n)
| Returns the PartBundleHandle that wraps around the actual nth PartBundle.
list | getBundleHandles ()
list | getBundles ()
int | getNumBundles ()
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a node that contains a pointer to an PartBundle.

Like AnimBundleNode, it exists to make it easy to store PartBundles in the scene graph.

(Unlike AnimBundleNode, however, PartBundleNode has an additional function: it is also the base class of the Character node type, which adds additional functionality.)

## Constructor & Destructor Documentation

PartBundleNode | ( | string | name,
|  | PartBundle | bundle
| ) |  |

The PartBundle and its node should be constructed together.

Generally, the derived classes of PartBundleNode will automatically create a PartBundle of the appropriate type, and pass it up to this constructor.

## Member Function Documentation

PartBundle getBundle | ( | int | n | ) |

Reimplemented in Character.

PartBundleHandle getBundleHandle | ( | int | n | ) |

Returns the PartBundleHandle that wraps around the actual nth PartBundle.

While the PartBundle pointer might later change due to a future flatten operation, the PartBundleHandle will not.

list getBundleHandles | ( |  | ) |

list getBundles | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PandaNode.

Reimplemented in Character.

int getNumBundles | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties